Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record.common
Class FtrHeader

    java.lang.Object
      org.apache.poi.hssf.record.common.FtrHeader

    public final class FtrHeader

extends java.lang.Object

Title: FtrHeader (Future Record Header) common record part

This record part specifies a header for a Ftr (Future) style record, which includes extra attributes above and beyond those of a traditional record.

Constructor Summary
`FtrHeader()`
`FtrHeader(RecordInputStream in)`

Method Summary
`static int` | `getDataSize()`
`short` | `getGrbitFrt()`
`short` | `getRecordType()`
`byte[]` | `getReserved()`
`void` | `serialize(LittleEndianOutput out)`
`void` | `setGrbitFrt(short grbitFrt)`
`void` | `setRecordType(short recordType)`
`void` | `setReserved(byte[] reserved)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FtrHeader

    public FtrHeader()

### FtrHeader

    public FtrHeader(RecordInputStream in)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### serialize

    public void serialize(LittleEndianOutput out)

### getDataSize

    public static int getDataSize()

### getRecordType

    public short getRecordType()

### setRecordType

    public void setRecordType(short recordType)

### getGrbitFrt

    public short getGrbitFrt()

### setGrbitFrt

    public void setGrbitFrt(short grbitFrt)

### getReserved

    public byte[] getReserved()

### setReserved

    public void setReserved(byte[] reserved)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.